Project Phil - Docs
Docs API
Main Site Sign in
API Reference
Independent License System Overview Authentication GET Get All License Keys GET Get Single License Key GET Get Single License Key Logs POST Check License Key Authorisation POST Create License Key PUT Update License Key DEL Delete License Key PUT Regenerate License
Link Shortener Overview Authentication GET /api/link/:name POST /api/link DEL /api/link/:id
No matching endpoints
API Reference

Independent License System

Independent License System

Base URL
https://api.example.com
Authentication
x-api-key: YOUR_API_KEY

Endpoints

  • Authentication Every /api/keys request must include your API key in the x-api-key HTTP header. The key is sent as a request header, not in the request b…
  • GET Get All License Keys v1.0 /api/keys Returns an array of all license keys in the database.
  • GET Get Single License Key v1.0 /api/keys/{key} Returns an object with the requested key information.
  • GET Get Single License Key Logs v1.0 /api/keys/{key}/logs Returns all license logs in an array.
  • POST Check License Key Authorisation v1.0 /api/check The API returns a JSON response indicating whether the license is valid.
  • POST Create License Key v1.0 /api/keys Creates a license key with the desired information. New keys are created with `locked: true
  • PUT Update License Key v1.0 /api/keys/{key} Updates an existing license key details. Content defaults to existing data if not provided in the body. Returns updated key object.
  • DELETE Delete License Key v1.0 /api/keys/{key} Deletes the desired license key and its logs. Returns the last license object before deletion.
  • PUT Regenerate License v1.0 /api/keys/{key}/regen Generates a new license key for the license and moves its logs to the new key. The old key stops working immediately. No request body is…
v1.19.1 Product made by

© 2026 Project Phil Development. Custom software for Discord communities.

Docs API Reference Search Discord Main Site
Sign in
ESC
Start typing to search…
↑↓ Navigate ↵ Open ESC Close Advanced search →